{
  "manifest_version": 3,
  "name": "Horse Reality Data Downloader",
  "version": "0.0.1",
  "permissions": ["tabs", "activeTab", "downloads", "storage"],
  "background": {
    "service_worker": "background.js"
  },
  "content_scripts": [
    {
      "matches": ["https://www.horsereality.com/*"],
      "js": [
        "content.js",
        "ui.js",
        "API.js"
      ]
    }
  ],
  "host_permissions": [
    "http://127.0.0.1:5180/*"
  ],
  "content_security_policy": {
    "extension_pages": "script-src 'self'; object-src 'self'; connect-src http://127.0.0.1:5180"
  }
}
